LibreOffice LibreOffice 4.3 SDK C/C++ API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Protected Attributes | List of all members
cppu::BaseMutex Class Reference

base class for all classes who want derive from cppu::WeakComponentImplHelperXX. More...

`#include <basemutex.hxx>`

## Protected Attributes
mutable::osl::Mutex | m_aMutex

## Detailed Description

base class for all classes who want derive from cppu::WeakComponentImplHelperXX.

Implmentation classes have first to derive from BaseMutex and then from cppu::WeakComponentImplHelperXX to ensure that the BaseMutex is completely initialized when the mutex is used to intialize the cppu::WeakComponentImplHelperXX

## Member Data Documentation

mutable ::osl::Mutex cppu::BaseMutex::m_aMutex
| protected

The documentation for this class was generated from the following file:

- cppuhelper/basemutex.hxx